|  | Home · All Classes · Main Classes · Annotated · Grouped Classes · Functions |

# QStyleOptionQ3ListViewItem Class Reference

The QStyleOptionQ3ListViewItem class is used to describe an item drawn in a Q3ListView. More...

    #include <QStyleOptionQ3ListViewItem>

Part of the QtGui module.

Inherits QStyleOption.

- List of all members, including inherited members

### Public Types

- enum Q3ListViewItemFeature { None, Expandable, MultiLine, Visible, ParentControl }
- flags Q3ListViewItemFeatures

### Properties

- childCount : const int
- features : const ListViewItemFeatures
- height : const int

- itemY : const int
- totalHeight : const int

- 5 properties inherited from QStyleOption

### Public Functions

- QStyleOptionQ3ListViewItem ()
- QStyleOptionQ3ListViewItem ( const QStyleOptionQ3ListViewItem & other )

- 2 public functions inherited from QStyleOption

## Detailed Description

The QStyleOptionQ3ListViewItem class is used to describe an item drawn in a Q3ListView.

This is used by the compatibility Q3ListView to draw its items. It should be avoided for new classes.

See also Q3ListView and Q3ListViewItem.

## Member Type Documentation

### enum QStyleOptionQ3ListViewItem::Q3ListViewItemFeature
flags QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures

This enum describes the features a list view item can have.

Constant | Value | Description
--- | --- | ---
`QStyleOptionQ3ListViewItem::None` | `0x00` | A standard item.
`QStyleOptionQ3ListViewItem::Expandable` | `0x01` | The item has children that can be shown.
`QStyleOptionQ3ListViewItem::MultiLine` | `0x02` | The item is more than one line tall.
`QStyleOptionQ3ListViewItem::Visible` | `0x04` | The item is visible.
`QStyleOptionQ3ListViewItem::ParentControl` | `0x08` | The item's parent is a type of item control (Q3CheckListItem::Controller).

The `Q3ListViewItemFeatures` type stores an OR combination of `Q3ListViewItemFeature` values.

See also features, Q3ListViewItem::isVisible(), Q3ListViewItem::multiLinesEnabled(), and Q3ListViewItem::isExpandable().

## Property Documentation

### childCount : const int

This property holds the number of children the item has.

### features : const ListViewItemFeatures

This property holds the features for this item.

This variable is a bitwise OR of the features of the item.

See also ListViewItemFeature.

### height : const int

This property holds the height of the item.

This doesn't include the height of the item's children.

See also Q3ListViewItem::height().

### itemY : const int

This property holds the Y-coordinate for the item.

See also Q3ListViewItem::itemY().

### totalHeight : const int

This property holds the total height of the item, including its children.

See also Q3ListViewItem::totalHeight().

## Member Function Documentation

### QStyleOptionQ3ListViewItem::QStyleOptionQ3ListViewItem ()

Constructs a QStyleOptionQ3ListViewItem. The members variables are initialized to default values.

### QStyleOptionQ3ListViewItem::QStyleOptionQ3ListViewItem ( const QStyleOptionQ3ListViewItem & other )